.text-hide-from-prototype,
.mixer-form .mixer .product-options-bottom .price-info .tax-details,
.mixer-form .mixer .product-options-bottom .add-to-cart,
.mixer-form .mixer #customizeTitle,
.mixer-form .mixer #product-options-wrapper .field.option > label.label,
.mixer-form .mixer #product-options-wrapper .validation-advice {
    border: 0 none !important;
    height: 0 !important;
    position: absolute !important;
    padding: 0 !important;
    z-index: -1 !important;
    overflow: hidden !important;
    min-height: 0 !important;
    top: 0
}

.product-online-mixer .page-title-wrapper.product{
    display: none;
}

.modal-open {
    overflow: hidden;
    padding-right: 0 !important;
    background-position: center top !important
}

.modal {
    display: none;
    overflow: hidden;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    -webkit-overflow-scrolling: touch;
    outline: 0
}

.modal.fade .modal-dialog {
    -webkit-transform: translate(0, -25%);
    -ms-transform: translate(0, -25%);
    -o-transform: translate(0, -25%);
    transform: translate(0, -25%);
    -webkit-transition: -webkit-transform 0.3s ease-out;
    -o-transition: -o-transform 0.3s ease-out;
    transition: transform 0.3s ease-out
}

.modal.in .modal-dialog {
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0)
}

.modal-open .modal {
    overflow-x: hidden;
    overflow-y: auto
}

.modal-dialog {
    position: relative;
    width: 600px;
    margin: 30px auto
}

.modal-dialog.modal-dialog-product-optsion .container .col:first-child {
    width: 267px;
    padding-left: 20px;
    padding-right: 1px;
    vertical-align: middle;
}

.modal-dialog.modal-dialog-product-option .container .row.full-height .col:first-child {
    background-color: #ffec9e;
    padding-top: 2px
}

.modal-dialog.modal-dialog-product-option .container .row:first-child .col:first-child + .col {
    padding-top: 5px
}
.modal-dialog.modal-dialog-product-option .stock, .modal-dialog.modal-dialog-product-option #left_article_filter .products-option .modal-link .stock {
    left: 11px;
    bottom: 18px
}

.modal-dialog.modal-dialog-product-option .price {
    position: absolute;
    bottom: 8px;
    left: 177px;
    width: 90px;
    font-size: 18px
}

.modal-dialog.modal-dialog-product-option .price .price-100 {
    font-size: 12px;
}

.modal-dialog.modal-dialog-enter-mixcode {
    margin: 30px auto;
    right: -135px;
    width: 470px;
}

@media (max-width: 767px) {
    .modal-dialog.modal-dialog-enter-mixcode {
        margin: 30px auto;
        right: auto;
        left: auto;
        width: 100%;
        max-width: 470px;
    }
}

.modal-dialog.modal-dialog-enter-mixcode .modal-content {
    padding: 20px;
    background-color: #ffffff;
    border-radius: 0;
    -webkit-box-shadow: 0 5px 15px rgb(89, 30, 29);
    box-shadow: 0 5px 15px rgb(92, 28, 28);
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
}

.modal-dialog.modal-dialog-enter-mixcode .modal-content .close {
    float: right;
    background: none;
    border: 0;
    padding: 0;
    position: relative;
    z-index: 999999;
    color: #603d20;
}

.modal-dialog.modal-dialog-enter-mixcode .modal-content h3 {
    color: #603d20;
    margin: 0 0 30px;
}

.modal-dialog.modal-dialog-enter-mixcode .modal-content button.make-mix {
    color: #603d20;
    padding: 10px !important;
}

.modal-dialog.modal-dialog-enter-mixcode .modal-content p {
    font-size: 14px;
}

.modal-dialog.modal-dialog-enter-mixcode .modal-content input {
    width: 250px;
    border-radius: 0;
}

.modal-dialog.modal-dialog-enter-mixcode .modal-content input::placeholder {
    color: darkgray;
}

.modal-backdrop {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    background-color: #fff
}

.modal-backdrop.fade {
    opacity: 0;
    filter: alpha(opacity=0)
}

.modal-backdrop.in {
    opacity: .4;
    filter: alpha(opacity=40)
}

.modal-header {
    padding: 15px;
    border-bottom: 1px solid #fff;
    min-height: 16.42857143px
}

.modal-title {
    margin: 0;
    line-height: 1.42857143
}

.modal-body {
    position: relative;
    padding: 0
}

.modal-footer {
    padding: 0;
    text-align: right;
    border-top: 1px solid #fff
}

.modal-footer .btn + .btn {
    margin-left: 5px;
    margin-bottom: 0
}

.modal-footer .btn-group .btn + .btn {
    margin-left: -1px
}

.modal-footer .btn-block + .btn-block {
    margin-left: 0
}

.modal-scrollbar-measure {
    position: absolute;
    top: -9999px;
    width: 50px;
    height: 50px;
    overflow: scroll
}

.modal-sm {
    width: 300px
}

.modal-lg {
    width: 900px
}

.text-box-online-mixer {
    position: absolute;
    top: 0;
    left: 38px;
    width: 478px;
    height: 274px;
    padding-top: 30px
}

.action-frame {
    background-color: #e2f4fe
}

.action-frame input, .action-frame textarea {
    border-radius: 14px;
    height: 29px;
    line-height: 29px;
    color: #004494;
    border: 1px solid #c7c7c7;
    padding-left: 12px;
    padding-right: 12px
}

.action-frame input::-moz-placeholder, .action-frame textarea::-moz-placeholder {
    color: #86bce1;
    opacity: 1;
    font-style: italic
}

.action-frame input:-ms-input-placeholder, .action-frame textarea:-ms-input-placeholder {
    color: #86bce1;
    font-style: italic
}

.action-frame input::-webkit-input-placeholder, .action-frame textarea::-webkit-input-placeholder {
    color: #86bce1;
    font-style: italic
}

.action-frame input:focus, .action-frame textarea:focus {
    background-color: #edf7fd
}

.action-frame.individual-package-form {
    width: 644px;
    margin-top: 98px;
    padding-top: 18px;
    padding-left: 37px;
    padding-right: 37px
}

.action-frame.individual-package-form h3 {
    margin-bottom: 35px
}

.action-frame.individual-package-form label, .action-frame.individual-package-form input, .action-frame.individual-package-form textarea {
    display: block
}

.action-frame.individual-package-form input {
    margin-bottom: 30px
}

.action-frame.individual-package-form input, .action-frame.individual-package-form textarea {
    width: 100%
}

.action-frame.individual-package-form textarea {
    resize: none;
    height: 70px;
    line-height: 1.42857143;
    padding-top: 4px;
    padding-bottom: 4px
}

.action-frame.individual-package-form label {
    margin-bottom: 8px
}

.action-frame.individual-package-form hr {
    margin-left: 12px;
    margin-right: 12px;
    margin-top: 12px;
    margin-bottom: 12px
}

.stock, .modal-dialog.modal-dialog-product-option .stock, #left_article_filter .products-option .modal-link .stock, #left_article_filter .products-option .modal-link .modal-dialog.modal-dialog-product-option .stock, .modal-dialog.modal-dialog-product-option #left_article_filter .products-option .modal-link .stock {
    position: absolute;
    width: 17px;
    height: 17px;
    display: inline-block;
    border-radius: 9px
}

.stock.in-stock, .modal-dialog.modal-dialog-product-option .stock.in-stock, #left_article_filter .products-option .modal-link .stock.in-stock, #left_article_filter .products-option .modal-link .modal-dialog.modal-dialog-product-option .stock.in-stock, .modal-dialog.modal-dialog-product-option #left_article_filter .products-option .modal-link .stock.in-stock {
    background-color: #2c8f35
}

.stock.out-of-stock, .modal-dialog.modal-dialog-product-option .stock.out-of-stock, #left_article_filter .products-option .modal-link .stock.out-of-stock, #left_article_filter .products-option .modal-link .modal-dialog.modal-dialog-product-option .stock.out-of-stock, .modal-dialog.modal-dialog-product-option #left_article_filter .products-option .modal-link .stock.out-of-stock {
    background-color: #e2001a
}

.price-100 {
    color: #555;
    font-size: 10px;
    display: block;
    text-align: left;
}

.product-infos, .product-infos *, .product-infos:after, .product-infos *:after, .product-infos:before, .product-infos *:before {
    -webkit-box-sizing: border-box;
    box-sizing: border-box
}

.product-infos hr, .product-infos hr:after, .product-infos hr:before {
    -webkit-box-sizing: content-box;
    box-sizing: content-box
}

.product-infos hr {
    border: 0;
    border-top: 1px solid #999
}

.product-infos .package-form-background {
    position: absolute;
    right: 0;
    left: 0;
    background-color: #fff;
    top: 0;
    height: 0%
}

.product-infos .package-form-background.fade {
    opacity: 0;
    filter: alpha(opacity=0)
}

.product-infos .package-form-background.in {
    opacity: .4;
    filter: alpha(opacity=40)
}

.product-infos .package-form-background.in {
    bottom: 0;
    height: 100%
}

.product-infos .package-form-container {
    position: absolute;
    right: 0;
    left: 0;
    height: 0%;
    overflow: hidden;
    z-index: 2;
    background-color: #f5ede3;
}

.product-infos .package-form-container .click-btn-select-col {
    background: transparent !important;
    border-radius: 0 !important;
}

.product-infos .package-form-container form {
    background-color: #f5ede3 !important;
}

.product-infos .package-form-container form h3 {
    color: #603d20;
    font-size: 22px;
}

.product-infos .package-form-container .hide-package-form {
    position: absolute;
    top: -99em;
    right: 130px;
    border: 1px solid #004494;
    -webkit-box-shadow: 0 5px 15px rgba(0, 68, 148, 0.3);
    box-shadow: 0 5px 15px rgba(0, 68, 148, 0.3)
}

.product-infos .package-form-container.active {
    bottom: 0;
    height: 100%
}

.product-infos .package-form-container.active .hide-package-form {
    top: 224px
}

#left_article_filter .products-option {
    padding-bottom: 18px;
    width: 178px;
    margin-right: 18px
}

#left_article_filter .products-option .modal-link {
    display: block
}

#left_article_filter .products-option .modal-link .stock, #left_article_filter .products-option .modal-link .modal-dialog.modal-dialog-product-option .stock {
    right: -1px;
    top: 3px
}

#left_article_filter .products-option .products-options-name {
    display: block;
    height: 37px;
    line-height: 16px
}

#left_article_filter .products-option .products-options-origin-info {
    display: block;
    height: 25px;
    line-height: 16px
}

#left_article_filter .products-option .products-options-price {
    display: block;
    color: #222
}

#left_article_filter .products-option .products-options-button {
    display: block
}

#left_article_filter .products-option .products-options-button > button:first-child {
    width: 134px
}

#left_article_filter .products-option .products-options-button > button:first-child + button {
    width: 39px;
    padding-left: 2px;
    padding-right: 2px
}

.mixer-form {
    width: 380px
}

.mixer-form .mixer.mixer-scrolling {
    position: fixed;
    top: 15px
}

.mixer-form .mixer .col {
    text-align: left;
    width: auto
}

.mixer-form .mixer .col:first-child button {
    width: auto
}

.mixer-form .mixer .col:first-child + .col > span {
    padding-left: 6px;
    display: block;
    line-height: 1
}

.mixer-form .mixer .col:first-child + .col > span:first-child {
    font-size: 14px;
    color: #004494
}

.mixer-form .mixer .col:first-child + .col > span.mixcode {
    color: #222;
    font-size: 12px
}

.mixer-form .mixer .product-options-bottom .availability {
    display: none
}

.mixer-form .mixer .product-options-bottom .price-info {
    margin-left: 0;
    margin-top: 21px
}

.mixer-form .mixer .product-options-bottom .price-info > .label, .mixer-form .mixer .product-options-bottom .price-info .price-label, .mixer-form .mixer .product-options-bottom .price-info br {
    display: none
}

.mixer-form .mixer .product-options-bottom .price-info .price-box {
    float: none;
    text-align: right
}

.mixer-form .mixer .product-options-bottom .price-info .full-product-price .price {
    font-size: 26px
}

.mixer-form .mixer .product-options-bottom .grammage-total {
    font-size: 40px;
    color: #222
}

.mixer-form .mixer #product-options-wrapper {
    float: none;
    width: auto;
    -webkit-transition: all .7s ease;
    -o-transition: all .7s ease;
    transition: all .7s ease;
    opacity: 1;
    filter: alpha(opacity=100)
}

.mixer-form .mixer #product-options-wrapper dt {
    text-align: left
}

.mixer-form .mixer #product-options-wrapper dd {
    border-bottom: 0 none
}

.mixer-form .mixer #product-options-wrapper .options-list {
    margin-bottom: 0;
    margin-right: 0;
    padding-left: 0
}

.mixer-form .mixer #product-options-wrapper .options-list.validation-failed {
    background-color: transparent !important;
    border: 0 none !important;
    padding: 0 !important
}

.mixer-form .mixer #product-options-wrapper .options-list .label {
    margin-left: 0
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row {
    height: 54px;
    padding-bottom: 1px;
    padding-top: 1px
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .qty-holder {
    display: block;
    width: 0;
    height: 0;
    overflow: hidden;
    padding: 0;
    margin: 0;
    float: none;
    position: absolute;
    opacity: 0;
    filter: alpha(opacity=0)
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .checkbox {
    display: block;
    width: 0;
    height: 0;
    overflow: hidden;
    padding: 0;
    margin: 0;
    float: none;
    position: absolute;
    opacity: 0;
    filter: alpha(opacity=0)
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .article-name {
    max-width: 228px;
    padding-top: 10px;
    height: 52px;
    text-decoration: none
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .article-name, .mixer-form .mixer #product-options-wrapper .options-list .mix-row .article-name > label {
    position: relative
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .article-name > label {
    display: block;
    padding-left: 54px;
    z-index: 2
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .article-name .options-image {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .article-name .price-notice {
    display: block;
    width: 0;
    height: 0;
    overflow: hidden;
    padding: 0;
    margin: 0;
    float: none;
    position: absolute;
    opacity: 0;
    filter: alpha(opacity=0)
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group .plus, .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group .minus, .mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group .delete {
    width: 45px;
    display: block;
    margin-bottom: 1px;
    margin-top: 1px
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group .delete {
    background-image: url("../images/delete.png");
    background-position: center 12px;
    background-color: transparent;
    background-repeat: no-repeat;
    border: 0 none;
    height: 52px;
    width: 21px;
    position: relative;
    z-index: 1
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group.qty-price-holder {
    width: 50px
}

.mixer-form .mixer #product-options-wrapper .options-list .mix-row .btn-group.qty-price-holder > input {
    display: block;
    padding-left: 6px;
    width: 62px;
    border: 0 none;
    background: none transparent;
    -webkit-box-shadow: none;
    box-shadow: none;
    height: 26px;
    line-height: 26px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}

.mixer-form .mixer .btn-cart {
    z-index: 2;
    margin-left: -18px;
    width: 380px
}

.mixer-form .mixer .btn-cart > span, .mixer-form .mixer .btn-cart > span > span {
    background: none;
    height: auto;
    padding: inherit
}

.ns-box {
    position: fixed;
    background: rgba(42, 45, 50, 0.85);
    padding: 22px;
    line-height: 1.4;
    z-index: 1000;
    pointer-events: none;
    color: rgba(250, 251, 255, 0.95);
    font-size: 90%;
}

.ns-box.ns-show {
    pointer-events: auto
}

.ns-box a {
    color: inherit;
    opacity: 0.7;
    font-weight: 700
}

.ns-box a:hover, .ns-box a:focus {
    opacity: 1
}

.ns-box p {
    margin: 0
}

.ns-box.ns-show, .ns-box.ns-visible {
    pointer-events: auto
}

.ns-close {
    width: 20px;
    height: 20px;
    position: absolute;
    right: 4px;
    top: 4px;
    overflow: hidden;
    text-indent: 100%;
    cursor: pointer;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden
}

.ns-close:hover, .ns-close:focus {
    outline: none
}

.ns-close::before, .ns-close::after {
    content: '';
    position: absolute;
    width: 3px;
    height: 60%;
    top: 50%;
    left: 50%;
    background: #6e6e6e
}

.ns-close:hover::before, .ns-close:hover::after {
    background: #fff
}

.ns-close::before {
    -webkit-transform: translate(-50%, -50%) rotate(45deg);
    -ms-transform: translate(-50%, -50%) rotate(45deg);
    -o-transform: translate(-50%, -50%) rotate(45deg);
    transform: translate(-50%, -50%) rotate(45deg)
}

.ns-close::after {
    -webkit-transform: translate(-50%, -50%) rotate(-45deg);
    -ms-transform: translate(-50%, -50%) rotate(-45deg);
    -o-transform: translate(-50%, -50%) rotate(-45deg);
    transform: translate(-50%, -50%) rotate(-45deg)
}

.ns-attached {
    right: 30px;
    max-width: 300px
}

[class^="ns-effect-"].ns-attached.ns-hide, [class*=" ns-effect-"].ns-attached.ns-hide {
    -webkit-animation-direction: reverse;
    -o-animation-direction: reverse;
    animation-direction: reverse
}

.ns-effect-flip {
    background: #9bd1a2;
    -webkit-transform-origin: 50% 100%;
    -ms-transform-origin: 50% 100%;
    -o-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    bottom: 0px;
    font-size: 1.15em;
    padding: 1.5em;
    max-width: 280px;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden
}

.ns-effect-flip .ns-close::before, .ns-effect-flip .ns-close::after {
    background: #5a9862
}

.ns-effect-flip .ns-close:hover::before, .ns-effect-flip .ns-close:hover::after {
    background: #4e8455
}

.ns-effect-flip.ns-show, .ns-effect-flip.ns-hide {
    -webkit-animation-name: animFlipFront;
    -o-animation-name: animFlipFront;
    animation-name: animFlipFront;
    -webkit-animation-duration: 0.3s;
    -o-animation-duration: 0.3s;
    animation-duration: 0.3s
}

.ns-effect-flip.ns-hide {
    -webkit-animation-name: animFlipBack;
    -o-animation-name: animFlipBack;
    animation-name: animFlipBack
}

@-webkit-keyframes animFlipFront {
    0% {
        -webkit-transform: perspective(1000px) rotate3d(1, 0, 0, -90deg)
    }
    100% {
        -webkit-transform: perspective(1000px)
    }
}

@-o-keyframes animFlipFront {
    0% {
        -webkit-transform: perspective(1000px) rotate3d(1, 0, 0, -90deg);
        transform: perspective(1000px) rotate3d(1, 0, 0, -90deg)
    }
    100% {
        -webkit-transform: perspective(1000px);
        transform: perspective(1000px)
    }
}

@keyframes animFlipFront {
    0% {
        -webkit-transform: perspective(1000px) rotate3d(1, 0, 0, -90deg);
        transform: perspective(1000px) rotate3d(1, 0, 0, -90deg)
    }
    100% {
        -webkit-transform: perspective(1000px);
        transform: perspective(1000px)
    }
}

@-webkit-keyframes animFlipBack {
    0% {
        -webkit-transform: perspective(1000px) rotate3d(1, 0, 0, 90deg)
    }
    100% {
        -webkit-transform: perspective(1000px)
    }
}

@-o-keyframes animFlipBack {
    0% {
        -webkit-transform: perspective(1000px) rotate3d(1, 0, 0, 90deg);
        transform: perspective(1000px) rotate3d(1, 0, 0, 90deg)
    }
    100% {
        -webkit-transform: perspective(1000px);
        transform: perspective(1000px)
    }
}

@keyframes animFlipBack {
    0% {
        -webkit-transform: perspective(1000px) rotate3d(1, 0, 0, 90deg);
        transform: perspective(1000px) rotate3d(1, 0, 0, 90deg)
    }
    100% {
        -webkit-transform: perspective(1000px);
        transform: perspective(1000px)
    }
}

.ns-effect-bouncyflip {
    -webkit-transform-origin: 50% 0%;
    -ms-transform-origin: 50% 0%;
    -o-transform-origin: 50% 0%;
    transform-origin: 50% 0%;
    background: #edf7fd;
    color: #222;
    top: 0;
    -webkit-box-shadow: 0 13px 10px -5px rgba(34, 34, 34, 0.2);
    box-shadow: 0 13px 10px -5px rgba(34, 34, 34, 0.2)
}

.ns-effect-bouncyflip b {
    color: #004494
}

.ns-effect-bouncyflip .icon {
    position: absolute;
    display: block;
    top: 2em;
    left: 2em
}

.ns-effect-bouncyflip p {
    padding: 0.5em 0.8em 0.8em 3.5em
}

.ns-effect-bouncyflip .ns-close::after, .ns-effect-bouncyflip .ns-close::before {
    background: #58585a
}

.ns-effect-bouncyflip .ns-close:hover::after, .ns-effect-bouncyflip .ns-close:hover::before {
    background: #58585a
}

.ns-effect-bouncyflip.ns-show, .ns-effect-bouncyflip.ns-hide {
    -webkit-animation-name: flipInX;
    -o-animation-name: flipInX;
    animation-name: flipInX;
    -webkit-animation-duration: 0.8s;
    -o-animation-duration: 0.8s;
    animation-duration: 0.8s
}

@-webkit-keyframes flipInX {
    0% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        -webkit-transition-timing-function: ease-in
    }
    40% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 20deg);
        -webkit-transition-timing-function: ease-out
    }
    60% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -10deg);
        -webkit-transition-timing-function: ease-in;
        opacity: 1
    }
    80% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 5deg);
        -webkit-transition-timing-function: ease-out
    }
    100% {
        -webkit-transform: perspective(400px)
    }
}

@-o-keyframes flipInX {
    0% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        -webkit-transition-timing-function: ease-in;
        -o-transition-timing-function: ease-in;
        transition-timing-function: ease-in
    }
    40% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 20deg);
        transform: perspective(400px) rotate3d(1, 0, 0, 20deg);
        -webkit-transition-timing-function: ease-out;
        -o-transition-timing-function: ease-out;
        transition-timing-function: ease-out
    }
    60% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -10deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -10deg);
        -webkit-transition-timing-function: ease-in;
        -o-transition-timing-function: ease-in;
        transition-timing-function: ease-in;
        opacity: 1
    }
    80% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 5deg);
        transform: perspective(400px) rotate3d(1, 0, 0, 5deg);
        -webkit-transition-timing-function: ease-out;
        -o-transition-timing-function: ease-out;
        transition-timing-function: ease-out
    }
    100% {
        -webkit-transform: perspective(400px);
        transform: perspective(400px)
    }
}

@keyframes flipInX {
    0% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        -webkit-transition-timing-function: ease-in;
        -o-transition-timing-function: ease-in;
        transition-timing-function: ease-in
    }
    40% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 20deg);
        transform: perspective(400px) rotate3d(1, 0, 0, 20deg);
        -webkit-transition-timing-function: ease-out;
        -o-transition-timing-function: ease-out;
        transition-timing-function: ease-out
    }
    60% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -10deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -10deg);
        -webkit-transition-timing-function: ease-in;
        -o-transition-timing-function: ease-in;
        transition-timing-function: ease-in;
        opacity: 1
    }
    80% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 5deg);
        transform: perspective(400px) rotate3d(1, 0, 0, 5deg);
        -webkit-transition-timing-function: ease-out;
        -o-transition-timing-function: ease-out;
        transition-timing-function: ease-out
    }
    100% {
        -webkit-transform: perspective(400px);
        transform: perspective(400px)
    }
}

.ns-effect-bouncyflip.ns-hide {
    -webkit-animation-name: flipInXSimple;
    -o-animation-name: flipInXSimple;
    animation-name: flipInXSimple;
    -webkit-animation-duration: 0.3s;
    -o-animation-duration: 0.3s;
    animation-duration: 0.3s
}

@-webkit-keyframes flipInXSimple {
    0% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        -webkit-transition-timing-function: ease-in
    }
    100% {
        -webkit-transform: perspective(400px)
    }
}

@-o-keyframes flipInXSimple {
    0% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        -webkit-transition-timing-function: ease-in;
        -o-transition-timing-function: ease-in;
        transition-timing-function: ease-in
    }
    100% {
        -webkit-transform: perspective(400px);
        transform: perspective(400px)
    }
}

@keyframes flipInXSimple {
    0% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -90deg);
        -webkit-transition-timing-function: ease-in;
        -o-transition-timing-function: ease-in;
        transition-timing-function: ease-in
    }
    100% {
        -webkit-transform: perspective(400px);
        transform: perspective(400px)
    }
}

@media screen and (max-width: 25em) {
    .ns-attached {
        left: 30px;
        max-width: none;
        right: 30px
    }
}
